Subject: Re: linux-next: build failure after merge of the md tree

From: NeilBrown <[email-masked]>
Date: Tue, 25 Sep 2012 14:10:05 +1000

On Tue, 25 Sep 2012 13:31:46 +1000 Stephen Rothwell <[email-masked]>
wrote:

> Hi Neil,
> 
> After merging the md tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> ERROR: "__tracepoint_block_unplug" [drivers/md/raid456.ko] undefined!
> 
> Presumably caused by commit 14817e9a6dab ("md/raid5: add blktrace calls").
> 
> CONFIG_MD_RAID456=m
> 
> I have used the md tree from next-20120924 for today.

Thanks.
I requires the following which I have already sent to Jens Axboe.
I might pull my patch until this fix-up is resolve.

Thanks,
NeilBrown

From 0ef9cbd6e5c6f6c9f303c8a7c905afb3fb55c28d Mon Sep 17 00:00:00 2001
From: NeilBrown <[email-masked]>
Date: Tue, 25 Sep 2012 09:56:31 +1000
Subject: [PATCH] block: export trace_block_unplug

This allows stacked devices (like md/raid5) to provide blktrace
tracing, including unplug events.

Reported-by: Fengguang Wu <[email-masked]>
Signed-off-by: NeilBrown <[email-masked]>

diff --git a/block/blk-core.c b/block/blk-core.c
index 4b4dbdf..ef55ae0 100644
--- a/block/blk-core.c
+++ b/block/blk-core.c
@@ -40,6 +40,7 @@
 EXPORT_TRACEPOINT_SYMBOL_GPL(block_bio_remap);
 EXPORT_TRACEPOINT_SYMBOL_GPL(block_rq_remap);
 EXPORT_TRACEPOINT_SYMBOL_GPL(block_bio_complete);
+EXPORT_TRACEPOINT_SYMBOL_GPL(block_unplug);
 
 DEFINE_IDA(blk_queue_ida);